<div role="dialog" aria-modal="true" [attr.aria-labelledby]="titleId" cdkTrapFocus cdkTrapFocusAutoCapture class="cui-dialog-focus-trap">
  <cui-dialog-title-wrapper [title]="title" [closable]="closable" [dialogTitleId]="titleId">
    <ng-content select="cui-dialog-title"></ng-content>
  </cui-dialog-title-wrapper>
  <div class="cui-dialog-content-scroll-container" (scroll)="calculateElevations()" #scrollContainer>
    <div class="cui-dialog-content">
      <ng-content></ng-content>
    </div>
  </div>
  <ng-content select="cui-dialog-actions"></ng-content>
</div>
